<?php 
require("connection/dbconn.php");
require("include/functions.php");

// ha az e-mail cím meg lett adva:
//================================

if (isset($emailcim) &&
	isset($veznev) &&
	isset($kernev) &&
	isset($jelszo) && 
	isset($orszag) &&
	isset($irszam) &&
	isset($helyseg) &&
	isset($utca) &&
	isset($hszam)
	) 
{

  $parancs = "SELECT * from ugyfelek WHERE email='$emailcim'";
  $eredmeny = mysql_query($parancs);

  $rendben = 0;
  $marvolt = 0;

  // ha még nincs ilyen e-mail cím regisztrálva:
  //============================================
  if (mysql_num_rows($eredmeny) == 0) 
  {
    
    $titkos_jelszo = md5($jelszo);

    $idopont = date("Y-m-d H:i:s");

	if(!isset($vez_tel) || $vez_tel == "")
		$vez_tel = "0";
	if(!isset($mobil_tel) || $mobil_tel == "")
		$mobil_tel = "0";

    $sql = "INSERT INTO ugyfelek (veznev,kernev,email,jelszo,reg_idopont,vez_tel,mobil_tel,orszag,irszam,varos,utca,hszam) VALUES ('$veznev','$kernev','$emailcim','$titkos_jelszo','$idopont','$vez_tel','$mobil_tel','$orszag','$irszam','$helyseg','$utca','$hszam')";
    mysql_query($sql);

    // az újonnan felvett rekord azonosítójának (id) megállapítása:
    $parancs = "SELECT * FROM ugyfelek WHERE email='$emailcim'";
    $eredmeny = mysql_query($parancs);
    $sor = mysql_fetch_array($eredmeny);
    $id = $sor["id"];

    $rendben = 1;

  }

  // ha már regisztrált ezzel az e-mail címmel:
  //===========================================
  else 
  {
    $marvolt = 1;
  }
  
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title><?php echo $title ?></title>
  <meta name="cache-control" content="private, no-store, no-cache, must-revalidate" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2" />
  <meta http-equiv="Content-Language" content="hu-hu" />
  <meta name="language" content="hu" />
  <meta name="COPYRIGHT" content="[Ital futár]">
  <meta name="AUTHOR" content="sabee">
  <meta name="keywords" content="<?php echo $keywords ?>" />
  <meta name="description" content="<?php echo $description ?>" />
  <meta name="robots" content="index, follow, all" />


  <link href="css/default.css" rel="stylesheet" type="text/css" />
  <!--[if IE]>
    <link href="css/ie.css" rel="stylesheet" type="text/css" />        
  <![endif]-->
</head>

<body>
  <div id="page">
  
  	<?php require("include/cookie.php");?>
    
    <div id="top">
	  <?php require("include/top.php");?>
    <!-- END: #top --></div>
    
    <div id="header">
    <?php require("include/header.php");?> 
    <!-- END: #header --></div>
    
    <div id="center"> 
	<?php require("include/center.php");?>
    <!-- END: #center --></div>
    <div id="bottom">
      
      <div id="content">
		<?php
        // ha a regisztráció sikeres:
        //=====================================
        if ($rendben == 1) 
		{  
        ?>
      
        <h1>Sikeres regisztráció</h1>
        <br /><br />
        <p>Kedves <?php echo $veznev . " " . $kernev; ?></p>
        <p>Üdvözlünk az Ital Futár felhasználói között!</p>
        <a href="index.php">Vissza a kezdőoldalra...</a>
      
        <?php
        }
     
		// ha már korábban aktiválta a regisztrációt:
		//==========================================
		elseif ($marvolt == 1) 
		{  
		?>
	  
        <h1>Sikertelen regisztráció</h1>
        <br /><br />
        <p>A megadott e-mail címmel már korábban sikeresen regisztráltad magad a rendszerünkbe.</p>
        <a href="index.php?page=regisztracio">Vissza a regisztrácóhoz...</a>
          
		<?php
		}
		?>
      <!-- END: #content --></div>

	  <?php require("include/sidebar_right.php");?>  
	  <?php require("include/footer.php");?>
    <!-- END: #bottom --></div>
  
  <!-- END: #page --></div>
  
</body>
</html>
<?php
}

// ha az e-mail cím nem lett megadva:
//===================================
else 
{
  // visszaküldjük a nyitólapra
  header("Location: index.php");
}
?>
<?php
mysql_close($connect);
?>